﻿using System.Runtime.InteropServices;

namespace TestProject
{
    /// <summary>
    /// 강조 정책
    /// </summary>
    [StructLayout(LayoutKind.Sequential)]
    public struct AccentPolicy
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 강조 상태
        /// </summary>
        public AccentState AccentState;

        /// <summary>
        /// 강조 플래그
        /// </summary>
        public int AccentFlag;

        /// <summary>
        /// 그라디언트 색상
        /// </summary>
        public int GradientColor;

        /// <summary>
        /// 애니메이션 ID
        /// </summary>
        public int AnimationID;

        #endregion
    }
}