﻿using System;
using System.Runtime.InteropServices;

namespace TestProject
{
    /// <summary>
    /// 윈도우 구성 특성 데이터
    /// </summary>
    [StructLayout(LayoutKind.Sequential)]
    public struct WindowCompositionAttributeData
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 윈도우 구성 특성
        /// </summary>
        public WindowCompositionAttribute Attribute;

        /// <summary>
        /// 데이터
        /// </summary>
        public IntPtr Data;

        /// <summary>
        /// 데이터 크기
        /// </summary>
        public int DataSize;

        #endregion
    }
}